org.apache.commons.math3.util

## Class FastMathLiteralArrays

- java.lang.Object
- - org.apache.commons.math3.util.FastMathLiteralArrays

     class FastMathLiteralArrays
    extends Object

Utility class for loading tabulated data used by `FastMath`.

Version:
  $Id: FastMathLiteralArrays.java 1364389 2012-07-22 18:19:26Z tn $

### Field Summary

Fields
`private static double[]` `EXP_FRAC_A` Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x].
`private static double[]` `EXP_FRAC_B` Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x].
`private static double[]` `EXP_INT_A` Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX].
`private static double[]` `EXP_INT_B` Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX]
`private static double[][]` `LN_MANT` Extended precision logarithm table over the range 1 - 2 in increments of 2^-10.

### Constructor Summary

Constructors
`private` `FastMathLiteralArrays()` Class contains only static methods.

### Method Summary

Methods
`(package private) static double[]` `loadExpFracA()` Load "EXP_FRAC_A".
`(package private) static double[]` `loadExpFracB()` Load "EXP_FRAC_B".
`(package private) static double[]` `loadExpIntA()` Load "EXP_INT_A".
`(package private) static double[]` `loadExpIntB()` Load "EXP_INT_B".
`(package private) static double[][]` `loadLnMant()` Load "LN_MANT".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXP_INT_A

    private static final double[] EXP_INT_A

Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX].

#### EXP_INT_B

    private static final double[] EXP_INT_B

Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX]

#### EXP_FRAC_A

    private static final double[] EXP_FRAC_A

Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x]. 1024 = 2^10

#### EXP_FRAC_B

    private static final double[] EXP_FRAC_B

Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x].

#### LN_MANT

    private static final double[][] LN_MANT

Extended precision logarithm table over the range 1 - 2 in increments of 2^-10.

### Constructor Detail

#### FastMathLiteralArrays

    private FastMathLiteralArrays()

Class contains only static methods.

### Method Detail

#### loadExpIntA

    static double[] loadExpIntA()

Load "EXP_INT_A".

Returns:
  a clone of the data array.

#### loadExpIntB

    static double[] loadExpIntB()

Load "EXP_INT_B".

Returns:
  a clone of the data array.

#### loadExpFracA

    static double[] loadExpFracA()

Load "EXP_FRAC_A".

Returns:
  a clone of the data array.

#### loadExpFracB

    static double[] loadExpFracB()

Load "EXP_FRAC_B".

Returns:
  a clone of the data array.

#### loadLnMant

    static double[][] loadLnMant()

Load "LN_MANT".

Returns:
  a clone of the data array.